/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * StorehouseBean.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class StorehouseBean implements EntityBean
{
    public String ejbCreate(String name)
        throws CreateException
    {
        setName(name);

        return null;
    }

    public void ejbPostCreate(String name)
    {
    }

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setItems(Collection items);

    public abstract Collection getItems();

    public abstract void setProductionLines(Collection productionLines);

    public abstract Collection getProductionLines();

    public abstract void setInventoryItems(Collection inventoryItems);

    public abstract Collection getInventoryItems();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
